myapps:
  storage:
    root: /data/obpm-demo
  siteid:

server:
  port: 8094
  servlet:
    context-path: ${myapps.siteid}/obpm
    session:
      timeout: 3600


spring:
  datasource:
    url: jdbc:mysql://192.168.0.7:3368/obpm2?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
    username: v5_enterprise2021
    password: Prod_v5#202109
    # 下面为连接池的补充设置，应用到上面所有数据源中
    initialSize: 5
    minIdle: 5
    maxActive: 20
  analysis:
    datasource:
      url: jdbc:mysql://192.168.0.14:3000/platform_analysis?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
      username: bcx_analysis
      password: Duyt$53@0625
      # 下面为连接池的补充设置，应用到上面所有数据源中
      initialSize: 5
      minIdle: 5
      maxActive: 20
  cloud:
    consul:
      discovery:
        enabled: true
        heartbeat:
          enabled: true
      host: 192.168.0.71
      port: 9500
  redis:
    host: 192.168.0.62
    port: 6379
    password: Bcxin@2019
    lettuce: # redis连接池配置
      pool:
        max-active: -1 #连接池最大连接数(使用负值表示没有限制) 默认为30
        max-wait: -1 # 连接池最大阻塞等待时间(使用负值表示没有限制) 默认为-1
        max-idle: 3 # 连接池中的最大空闲连接 默认为8
        min-idle: 0 # 连接池中的最小空闲连接 默认为 0
  jpa:
    database: mysql
    show-sql: false
    hibernate:
      ddl-auto: none
    properties:
      hibernate:
        default_schema:
  kafka:
    bootstrap-servers: 192.168.0.243:9092,192.168.0.12:9092,192.168.0.126:9092
    consumer:
      auto-offset-reset: earliest
      enable-auto-commit: false
      group-id: v5-cache-consumer
      fetch-max-wait: 1s
      fetch-min-size: 512B
    admin:
      fail-fast: true
    listener:
      ack-mode: manual_immediate
      concurrency: 11
    retry:
      topic:
        delay: 2
        attempts: 5
logging:
  config: classpath:log4j2.xml